Bug 652969 - If you change driver in xorg.conf to Vesa your screen will screw, if you change the driver to other, the Computer will hang
Summary: If you change driver in xorg.conf to Vesa your screen will screw, if you chan...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-vesa
Version: 14
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-13 21:29 UTC by Maximiliano Castanon
Modified: 2018-04-11 17:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-18 19:00:38 UTC
Type: ---


Attachments (Terms of Use)
/var/log/messages when vesa driver is in use (428.46 KB, text/plain)
2010-11-17 18:46 UTC, Maximiliano Castanon
no flags Details
/var/log/Xorg.0.log when vesa driver is in use (88.60 KB, text/plain)
2010-11-17 18:46 UTC, Maximiliano Castanon
no flags Details

Description Maximiliano Castanon 2010-11-13 21:29:17 UTC
Description of problem:
If you try to use Vesa driver, the X will screw, lines to all places in the screen, this will make unusable your screen, and then if you change the driver, in my case to radeon, the X will screw... in this case, the computer will hang... don't know why it happens, my last Xorg.0.log

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Maximiliano Castanon 2010-11-13 21:32:12 UTC
it's reproduce able always, 

Name        : xorg-x11-drv-vesa
Arch        : x86_64
Version     : 2.3.0
Release     : 2.fc14
Size        : 26 k
Repositorio        : installed
From repo   : updates-testing
Summary     : Xorg X11 vesa video driver
URL         : http://www.x.org
License     : MIT
Descripción :X.Org X11 vesa video driver.

Linux localhost.localdomain 2.6.35.6-48.fc14.x86_64 #1 SMP Fri Oct 22 15:36:08 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux

My Video card it's a RAdeon HD 3200

Comment 2 Maximiliano Castanon 2010-11-13 21:33:21 UTC
[maximi89@localhost /]$ rpm -qls xorg-x11-drv-vesa
normal        /usr/lib64/xorg/modules/drivers/vesa_drv.so
normal        /usr/share/man/man4/vesa.4.gz

Comment 3 Matěj Cepl 2010-11-15 10:29:50 UTC
(In reply to comment #0)
> my last Xorg.0.log

Sorry, we haven't got it. Also, why do you need VESA driver at all? Wouldn't just removing your /etc/X11/xorg.conf altogher make system work? If not, please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 4 Maximiliano Castanon 2010-11-17 18:30:39 UTC
Hi, when i have tried with VESA, i have used this conf:

Section "ServerLayout"
	Identifier     "X.org Configured"
	Screen      0  "Screen0" 0 0
	InputDevice    "Mouse0" "CorePointer"
	InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "Files"
	ModulePath   "/usr/lib64/xorg/modules"
	FontPath     "catalogue:/etc/X11/fontpath.d"
	FontPath     "built-ins"
EndSection

Section "Module"
	Load  "dri2"
	Load  "glx"
	Load  "extmod"
	Load  "dri"
	Load  "record"
	Load  "dbe"
EndSection

Section "InputDevice"
	Identifier  "Keyboard0"
	Driver      "kbd"
EndSection

Section "InputDevice"
	Identifier  "Mouse0"
	Driver      "mouse"
	Option	    "Protocol" "auto"
	Option	    "Device" "/dev/input/mice"
	Option	    "ZAxisMapping" "4 5 6 7"
EndSection

Section "Monitor"
	#DisplaySize	  340   190	# mm
	Identifier   "Monitor0"
	VendorName   "AUO"
	ModelName    "20ec"
EndSection

Section "Device"
	Option	    "RenderAccel" 	"true"
 	Identifier  "Card0"
	Driver      "vesa"
	BusID       "PCI:1:5:0"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Card0"
	Monitor    "Monitor0"
	SubSection "Display"
		Viewport   0 0
		Depth     1
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     4
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     8
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     15
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     16
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     24
	EndSubSection
EndSection

Comment 5 Maximiliano Castanon 2010-11-17 18:32:49 UTC
If i remove the xorg.conf it works normally, probably using radeon driver...

Comment 6 Maximiliano Castanon 2010-11-17 18:45:10 UTC
well, the messages and Xorg.0.log don't provide any thing usefull...


but all VT having the same problem... i will take a photo...

Comment 7 Maximiliano Castanon 2010-11-17 18:46:13 UTC
Created attachment 461124 [details]
/var/log/messages when vesa driver is in use

Comment 8 Maximiliano Castanon 2010-11-17 18:46:52 UTC
Created attachment 461125 [details]
/var/log/Xorg.0.log when vesa driver is in use

Comment 9 Matěj Cepl 2010-12-15 15:05:31 UTC
(In reply to comment #5)
> If i remove the xorg.conf it works normally, probably using radeon driver...

Sorry, could I still get the answer why you have to use VESA driver?

Comment 10 Maximiliano Castanon 2010-12-15 20:11:42 UTC
By the same reason why it exist... to be used when we require it... in my case it doesn't work at all...

Comment 11 Adam Jackson 2011-02-09 16:56:12 UTC
Can you attach a picture of the broken display caused by the vesa driver?  Note that a screenshot probably will not show anything wrong.


Note You need to log in before you can comment on or make changes to this bug.